Bug 274291 - pirut wont run
pirut wont run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-01 22:23 EDT by ronald accardy
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-05 10:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ronald accardy 2007-09-01 22:23:28 EDT
since update of august 31 software updater wont run  add/remove software wont 
run . I can still update with yum update from console .

Version-Release number of selected component (if applicable):


How reproducible:
100% reproduceable

steps to Reproduce:
1.attempt to start pirut from icon or from menu or from console
2.
3.
  
Actual results:
[ron@localhost ~]$ pirut
Traceback (most recent call last):
  File "/usr/sbin/pirut", line 38, in <module>
    from pirut import *
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 40, in 
<module>
    import RepoSelector
  File "/usr/lib/python2.5/site-packages/pirut/RepoSelector.py", line 30, in 
<module>
    import iniparse
ImportError: No module named iniparse
[ron@localhost ~]$ 


Expected results:


Additional info:
Comment 1 ronald accardy 2007-09-02 09:49:29 EDT
resolved by installing python-iniparse , it must not have been pulled in by the 
dependencies during the update.
Comment 2 Jeremy Katz 2007-09-04 13:46:04 EDT
It should be required.  How did you install the pirut update?
Comment 3 ronald accardy 2007-09-04 23:07:26 EDT
pirut update was installed by pup during a regular install of updates. I 
installed python_iniparse with yum 
Comment 4 Jeremy Katz 2007-09-05 10:28:30 EDT
Both yum and pirut should now be requiring python-iniparse, so I'm not sure how
you wouldn't get it pulled in....  there have been a few quirks with depsolving
in pre-3.2.4 yum, though, so I'm going to bet you just happened to hit one of
those cases
Comment 5 ronald accardy 2007-09-05 19:26:02 EDT
I think you are probably correct . everything is ok now , I just let the updater
install the updates as they come in and python-iniparse must have fallen 
through the cracks. as you can see from the error message it wasn't there after 
the update but it was installable with yum install ...  .

Note You need to log in before you can comment on or make changes to this bug.